## stegdetect 0.6

=== jpeg-6b/Makefile ===
# Generated automatically from makefile.cfg by configure.
# Makefile for Independent JPEG Group's software

# makefile.cfg is edited by configure to produce a custom Makefile.

# Read installation instructions before saying "make" !!

# For compiling with source and object files in different directories.
srcdir = .

# Where to install the programs and man pages.
prefix = /usr/local
exec_prefix = ${prefix}
bindir = $(exec_prefix)/bin
libdir = $(exec_prefix)/lib
includedir = $(prefix)/include
binprefix =
manprefix =
manext = 1
mandir = $(prefix)/man/man$(manext)

# The name of your C compiler:
CC= gcc

# You may need to adjust these cc options:
CFLAGS= -O2  -I$(srcdir)
# Generally, we recommend defining any configuration symbols in jconfig.h,
# NOT via -D switches here.
# However, any special defines for ansi2knr.c may be included here:
ANSI2KNRFLAGS= 

# Link-time cc options:
LDFLAGS= 

# To link any special libraries, add the necessary -l commands here.
LDLIBS= 

# If using GNU libtool, LIBTOOL references it; if not, LIBTOOL is empty.
LIBTOOL = 
# $(O) expands to "lo" if using libtool, plain "o" if not.
# Similarly, $(A) expands to "la" or "a".
O = o
A = a

# Library version ID; libtool uses this for the shared library version number.
# Note: we suggest this match the macro of the same name in jpeglib.h.
JPEG_LIB_VERSION = 62

# Put here the object file name for the correct system-dependent memory
# manager file.  For Unix this is usually jmemnobs.o, but you may want
# to use jmemansi.o or jmemname.o if you have limited swap space.
SYSDEPMEM= jmemnobs.$(O)

# miscellaneous OS-dependent stuff
SHELL= /bin/sh
# linker
LN= $(CC)
# file deletion command
RM= rm -f
# directory creation command
MKDIR= mkdir
# library (.a) file creation command
AR= ar rc
# second step in .a creation (use "touch" if not needed)
AR2= ranlib
# installation program
INSTALL= /usr/bin/install -c
INSTALL_PROGRAM= ${INSTALL}
INSTALL_LIB= ${INSTALL} -m 644
INSTALL_DATA= ${INSTALL} -m 644

# End of configurable options.


# source files: JPEG library proper
LIBSOURCES= jcapimin.c jcapistd.c jccoefct.c jccolor.c jcdctmgr.c jchuff.c \
        jcinit.c jcmainct.c jcmarker.c jcmaster.c jcomapi.c jcparam.c \
        jcphuff.c jcprepct.c jcsample.c jctrans.c jdapimin.c jdapistd.c \
        jdatadst.c jdatasrc.c jdcoefct.c jdcolor.c jddctmgr.c jdhuff.c \
        jdinput.c jdmainct.c jdmarker.c jdmaster.c jdmerge.c jdphuff.c \
        jdpostct.c jdsample.c jdtrans.c jerror.c jfdctflt.c jfdctfst.c \
        jfdctint.c jidctflt.c jidctfst.c jidctint.c jidctred.c jquant1.c \
        jquant2.c jutils.c jmemmgr.c
# memmgr back ends: compile only one of these into a working library
SYSDEPSOURCES= jmemansi.c jmemname.c jmemnobs.c jmemdos.c jmemmac.c
# source files: cjpeg/djpeg/jpegtran applications, also rdjpgcom/wrjpgcom
APPSOURCES= cjpeg.c djpeg.c jpegtran.c rdjpgcom.c wrjpgcom.c cdjpeg.c \
        rdcolmap.c rdswitch.c transupp.c rdppm.c wrppm.c rdgif.c wrgif.c \
        rdtarga.c wrtarga.c rdbmp.c wrbmp.c rdrle.c wrrle.c
SOURCES= $(LIBSOURCES) $(SYSDEPSOURCES) $(APPSOURCES)
# files included by source files
INCLUDES= jchuff.h jdhuff.h jdct.h jerror.h jinclude.h jmemsys.h jmorecfg.h \
        jpegint.h jpeglib.h jversion.h cdjpeg.h cderror.h transupp.h
# documentation, test, and support files
DOCS= README install.doc usage.doc cjpeg.1 djpeg.1 jpegtran.1 rdjpgcom.1 \
        wrjpgcom.1 wizard.doc example.c libjpeg.doc structure.doc \
        coderules.doc filelist.doc change.log
MKFILES= configure makefile.cfg makefile.ansi makefile.unix makefile.bcc \
        makefile.mc6 makefile.dj makefile.wat makefile.vc makelib.ds \
        makeapps.ds makeproj.mac makcjpeg.st makdjpeg.st makljpeg.st \
        maktjpeg.st makefile.manx makefile.sas makefile.mms makefile.vms \
        makvms.opt
CONFIGFILES= jconfig.cfg jconfig.bcc jconfig.mc6 jconfig.dj jconfig.wat \
        jconfig.vc jconfig.mac jconfig.st jconfig.manx jconfig.sas \
        jconfig.vms
CONFIGUREFILES= config.guess config.sub install-sh ltconfig ltmain.sh
OTHERFILES= jconfig.doc ckconfig.c ansi2knr.c ansi2knr.1 jmemdosa.asm
TESTFILES= testorig.jpg testimg.ppm testimg.bmp testimg.jpg testprog.jpg \
        testimgp.jpg
DISTFILES= $(DOCS) $(MKFILES) $(CONFIGFILES) $(SOURCES) $(INCLUDES) \
        $(CONFIGUREFILES) $(OTHERFILES) $(TESTFILES)
# library object files common to compression and decompression
COMOBJECTS= jcomapi.$(O) jutils.$(O) jerror.$(O) jmemmgr.$(O) $(SYSDEPMEM)
# compression library object files
CLIBOBJECTS= jcapimin.$(O) jcapistd.$(O) jctrans.$(O) jcparam.$(O) \
        jdatadst.$(O) jcinit.$(O) jcmaster.$(O) jcmarker.$(O) jcmainct.$(O) \
        jcprepct.$(O) jccoefct.$(O) jccolor.$(O) jcsample.$(O) jchuff.$(O) \
        jcphuff.$(O) jcdctmgr.$(O) jfdctfst.$(O) jfdctflt.$(O) \
        jfdctint.$(O)
# decompression library object files
DLIBOBJECTS= jdapimin.$(O) jdapistd.$(O) jdtrans.$(O) jdatasrc.$(O) \
        jdmaster.$(O) jdinput.$(O) jdmarker.$(O) jdhuff.$(O) jdphuff.$(O) \
        jdmainct.$(O) jdcoefct.$(O) jdpostct.$(O) jddctmgr.$(O) \
        jidctfst.$(O) jidctflt.$(O) jidctint.$(O) jidctred.$(O) \
        jdsample.$(O) jdcolor.$(O) jquant1.$(O) jquant2.$(O) jdmerge.$(O)
# These objectfiles are included in libjpeg.a
LIBOBJECTS= $(CLIBOBJECTS) $(DLIBOBJECTS) $(COMOBJECTS)
# object files for sample applications (excluding library files)
COBJECTS= cjpeg.$(O) rdppm.$(O) rdgif.$(O) rdtarga.$(O) rdrle.$(O) \
        rdbmp.$(O) rdswitch.$(O) cdjpeg.$(O)
DOBJECTS= djpeg.$(O) wrppm.$(O) wrgif.$(O) wrtarga.$(O) wrrle.$(O) \
        wrbmp.$(O) rdcolmap.$(O) cdjpeg.$(O)
TROBJECTS= jpegtran.$(O) rdswitch.$(O) cdjpeg.$(O) transupp.$(O)


all:  libjpeg.$(A) cjpeg djpeg jpegtran rdjpgcom wrjpgcom

distdir:
	@echo "ignoring distdir"

# Special compilation rules to support ansi2knr and libtool.
.SUFFIXES: .lo .la

# How to compile with libtool.
# .c.lo:
# 	$(LIBTOOL) --mode=compile $(CC) $(CFLAGS) -c $(srcdir)/$*.c

# How to use ansi2knr, when not using libtool.
# .c.o:
# 	./ansi2knr $(srcdir)/$*.c knr/$*.c
# 	$(CC) $(CFLAGS) -c knr/$*.c
# 	$(RM) knr/$*.c

# How to use ansi2knr AND libtool.
# .c.lo:
# 	./ansi2knr $(srcdir)/$*.c knr/$*.c
# 	$(LIBTOOL) --mode=compile $(CC) $(CFLAGS) -c knr/$*.c
# 	$(RM) knr/$*.c

ansi2knr: ansi2knr.c
	$(CC) $(CFLAGS) $(ANSI2KNRFLAGS) -o ansi2knr $(srcdir)/ansi2knr.c
	$(MKDIR) knr

# the library:

# without libtool:
libjpeg.a:  $(LIBOBJECTS)
	$(RM) libjpeg.a
	$(AR) libjpeg.a  $(LIBOBJECTS)
	$(AR2) libjpeg.a

# with libtool:
libjpeg.la:  $(LIBOBJECTS)
	$(LIBTOOL) --mode=link $(CC) -o libjpeg.la $(LIBOBJECTS) \
		-rpath $(libdir) -version-info $(JPEG_LIB_VERSION)

# sample programs:

cjpeg: $(COBJECTS) libjpeg.$(A)
	$(LN) $(LDFLAGS) -o cjpeg $(COBJECTS) libjpeg.$(A) $(LDLIBS)

djpeg: $(DOBJECTS) libjpeg.$(A)
	$(LN) $(LDFLAGS) -o djpeg $(DOBJECTS) libjpeg.$(A) $(LDLIBS)

jpegtran: $(TROBJECTS) libjpeg.$(A)
	$(LN) $(LDFLAGS) -o jpegtran $(TROBJECTS) libjpeg.$(A) $(LDLIBS)

rdjpgcom: rdjpgcom.$(O)
	$(LN) $(LDFLAGS) -o rdjpgcom rdjpgcom.$(O) $(LDLIBS)

wrjpgcom: wrjpgcom.$(O)
	$(LN) $(LDFLAGS) -o wrjpgcom wrjpgcom.$(O) $(LDLIBS)

# Installation rules:

install: cjpeg djpeg jpegtran rdjpgcom wrjpgcom 
	$(INSTALL_PROGRAM) cjpeg $(bindir)/$(binprefix)cjpeg
	$(INSTALL_PROGRAM) djpeg $(bindir)/$(binprefix)djpeg
	$(INSTALL_PROGRAM) jpegtran $(bindir)/$(binprefix)jpegtran
	$(INSTALL_PROGRAM) rdjpgcom $(bindir)/$(binprefix)rdjpgcom
	$(INSTALL_PROGRAM) wrjpgcom $(bindir)/$(binprefix)wrjpgcom
	$(INSTALL_DATA) $(srcdir)/cjpeg.1 $(mandir)/$(manprefix)cjpeg.$(manext)
	$(INSTALL_DATA) $(srcdir)/djpeg.1 $(mandir)/$(manprefix)djpeg.$(manext)
	$(INSTALL_DATA) $(srcdir)/jpegtran.1 $(mandir)/$(manprefix)jpegtran.$(manext)
	$(INSTALL_DATA) $(srcdir)/rdjpgcom.1 $(mandir)/$(manprefix)rdjpgcom.$(manext)
	$(INSTALL_DATA) $(srcdir)/wrjpgcom.1 $(mandir)/$(manprefix)wrjpgcom.$(manext)

install-lib: libjpeg.$(A) install-headers
	$(INSTALL_LIB) libjpeg.$(A) $(libdir)/$(binprefix)libjpeg.$(A)

install-headers: jconfig.h
	$(INSTALL_DATA) jconfig.h $(includedir)/jconfig.h
	$(INSTALL_DATA) $(srcdir)/jpeglib.h $(includedir)/jpeglib.h
	$(INSTALL_DATA) $(srcdir)/jmorecfg.h $(includedir)/jmorecfg.h
	$(INSTALL_DATA) $(srcdir)/jerror.h $(includedir)/jerror.h

clean:
	$(RM) *.o *.lo libjpeg.a libjpeg.la
	$(RM) cjpeg djpeg jpegtran rdjpgcom wrjpgcom
	$(RM) ansi2knr core testout* config.log config.status
	$(RM) -r knr .libs _libs

distclean: clean
	$(RM) Makefile jconfig.h libtool config.cache

test: cjpeg djpeg jpegtran
	$(RM) testout*
	./djpeg -dct int -ppm -outfile testout.ppm  $(srcdir)/testorig.jpg
	./djpeg -dct int -bmp -colors 256 -outfile testout.bmp  $(srcdir)/testorig.jpg
	./cjpeg -dct int -outfile testout.jpg  $(srcdir)/testimg.ppm
	./djpeg -dct int -ppm -outfile testoutp.ppm $(srcdir)/testprog.jpg
	./cjpeg -dct int -progressive -opt -outfile testoutp.jpg $(srcdir)/testimg.ppm
	./jpegtran -outfile testoutt.jpg $(srcdir)/testprog.jpg
	cmp $(srcdir)/testimg.ppm testout.ppm
	cmp $(srcdir)/testimg.bmp testout.bmp
	cmp $(srcdir)/testimg.jpg testout.jpg
	cmp $(srcdir)/testimg.ppm testoutp.ppm
	cmp $(srcdir)/testimgp.jpg testoutp.jpg
	cmp $(srcdir)/testorig.jpg testoutt.jpg

check: test

# Mistake catcher:

jconfig.h: jconfig.doc
	echo You must prepare a system-dependent jconfig.h file.
	echo Please read the installation directions in install.doc.
	exit 1

# GNU Make likes to know which target names are not really files to be made:
.PHONY: all install install-lib install-headers clean distclean test check


jcapimin.$(O): jcapimin.c jinclude.h jconfig.h jpeglib.h jmorecfg.h jpegint.h jerror.h
jcapistd.$(O): jcapistd.c jinclude.h jconfig.h jpeglib.h jmorecfg.h jpegint.h jerror.h
jccoefct.$(O): jccoefct.c jinclude.h jconfig.h jpeglib.h jmorecfg.h jpegint.h jerror.h
jccolor.$(O): jccolor.c jinclude.h jconfig.h jpeglib.h jmorecfg.h jpegint.h jerror.h
jcdctmgr.$(O): jcdctmgr.c jinclude.h jconfig.h jpeglib.h jmorecfg.h jpegint.h jerror.h jdct.h
jchuff.$(O): jchuff.c jinclude.h jconfig.h jpeglib.h jmorecfg.h jpegint.h jerror.h jchuff.h
jcinit.$(O): jcinit.c jinclude.h jconfig.h jpeglib.h jmorecfg.h jpegint.h jerror.h
jcmainct.$(O): jcmainct.c jinclude.h jconfig.h jpeglib.h jmorecfg.h jpegint.h jerror.h
jcmarker.$(O): jcmarker.c jinclude.h jconfig.h jpeglib.h jmorecfg.h jpegint.h jerror.h
jcmaster.$(O): jcmaster.c jinclude.h jconfig.h jpeglib.h jmorecfg.h jpegint.h jerror.h
jcomapi.$(O): jcomapi.c jinclude.h jconfig.h jpeglib.h jmorecfg.h jpegint.h jerror.h
jcparam.$(O): jcparam.c jinclude.h jconfig.h jpeglib.h jmorecfg.h jpegint.h jerror.h
jcphuff.$(O): jcphuff.c jinclude.h jconfig.h jpeglib.h jmorecfg.h jpegint.h jerror.h jchuff.h
jcprepct.$(O): jcprepct.c jinclude.h jconfig.h jpeglib.h jmorecfg.h jpegint.h jerror.h
jcsample.$(O): jcsample.c jinclude.h jconfig.h jpeglib.h jmorecfg.h jpegint.h jerror.h
jctrans.$(O): jctrans.c jinclude.h jconfig.h jpeglib.h jmorecfg.h jpegint.h jerror.h
jdapimin.$(O): jdapimin.c jinclude.h jconfig.h jpeglib.h jmorecfg.h jpegint.h jerror.h
jdapistd.$(O): jdapistd.c jinclude.h jconfig.h jpeglib.h jmorecfg.h jpegint.h jerror.h
jdatadst.$(O): jdatadst.c jinclude.h jconfig.h jpeglib.h jmorecfg.h jerror.h
jdatasrc.$(O): jdatasrc.c jinclude.h jconfig.h jpeglib.h jmorecfg.h jerror.h
jdcoefct.$(O): jdcoefct.c jinclude.h jconfig.h jpeglib.h jmorecfg.h jpegint.h jerror.h
jdcolor.$(O): jdcolor.c jinclude.h jconfig.h jpeglib.h jmorecfg.h jpegint.h jerror.h
jddctmgr.$(O): jddctmgr.c jinclude.h jconfig.h jpeglib.h jmorecfg.h jpegint.h jerror.h jdct.h
jdhuff.$(O): jdhuff.c jinclude.h jconfig.h jpeglib.h jmorecfg.h jpegint.h jerror.h jdhuff.h
jdinput.$(O): jdinput.c jinclude.h jconfig.h jpeglib.h jmorecfg.h jpegint.h jerror.h
jdmainct.$(O): jdmainct.c jinclude.h jconfig.h jpeglib.h jmorecfg.h jpegint.h jerror.h
jdmarker.$(O): jdmarker.c jinclude.h jconfig.h jpeglib.h jmorecfg.h jpegint.h jerror.h
jdmaster.$(O): jdmaster.c jinclude.h jconfig.h jpeglib.h jmorecfg.h jpegint.h jerror.h

## stegdetect 0.6-3

=== debian/changelog ===
stegdetect (0.6-3) unstable; urgency=low

  * Removed files that are present in other packages and
    libraries (Closes: #318485)

 -- Samuele Giovanni Tonon <samu@debian.org>  Mon, 18 Jul 2005 12:25:02 +0200

stegdetect (0.6-2) unstable; urgency=low

  * The "Forgive me guys, i'm in love" Release
  * Added Conflicts with libjpeg-progs (Closes: #318166)

 -- Samuele Giovanni Tonon <samu@debian.org>  Thu, 14 Jul 2005 10:16:03 +0200

stegdetect (0.6-1) unstable; urgency=low

  * New Upstream Release (Closes: #317521)

 -- Samuele Giovanni Tonon <samu@debian.org>  Wed, 13 Jul 2005 10:57:21 +0200

stegdetect (0.5-7) unstable; urgency=low

  * Recompiling against libevent1 newer version to make it work better
    (Closes: #294400) 

 -- Samuele Giovanni Tonon <samu@debian.org>  Wed,  9 Feb 2005 20:14:58 +0100

stegdetect (0.5-6) unstable; urgency=low

  * Added Patch from  Andreas Jochens (many thanks!) to make it compile
    against gcc-3.4 (Closes: #263818)

 -- Samuele Giovanni Tonon <samu@debian.org>  Mon, 16 Aug 2004 16:31:26 +0200

stegdetect (0.5-5) unstable; urgency=low

  * Recompiled against libevent1, thanks to Christian Surchi for
    reporting it (Closes: #216587) 

 -- Samuele Giovanni Tonon <samu@debian.org>  Thu, 13 Nov 2003 17:10:32 +0100

stegdetect (0.5-4) unstable; urgency=low

  * Modified Description field to give a better description to xsteg
    as proposed by Marek Habersack (Closes: #209969)

 -- Samuele Giovanni Tonon <samu@debian.org>  Tue, 16 Sep 2003 21:10:31 +0200

stegdetect (0.5-3) unstable; urgency=low

  * Modified file/Makefile.am and file/Makefile.in to make
    stegdetect compile against gcc-3.3 as pointed out 
    by Daniel Schepler (thanks) (Closes: #196460)

 -- Samuele Giovanni Tonon <samu@debian.org>  Mon,  9 Jun 2003 11:48:19 +0200

stegdetect (0.5-2) unstable; urgency=low

  * The "i'm so stupid, please forgive me" Release
  * added binaries to stegdetect package (Closes: #163934)
  * Description improvement for stegdetect (Closes: #163720)
  * Description improvement for xsteg (Closes: #163719)
  * Added /usr/share/stegbreak/rules.ini file
  * Modified stegbreak.1 page to suit /usr/share/stegbreak/rules.ini

 -- Samuele Giovanni Tonon <samu@debian.org>  Mon, 14 Oct 2002 14:26:41 +0200

stegdetect (0.5-1) unstable; urgency=low

  * Initial Release (Closes: Bug#162420)
  * added man page for xsteg
  * modified configure files

 -- Samuele Giovanni Tonon <samu@debian.org>  Tue,  1 Oct 2002 15:45:16 +0200

=== debian/control ===
Source: stegdetect
Section: utils
Priority: optional
Maintainer: Samuele Giovanni Tonon <samu@debian.org>
Build-Depends: debhelper (>= 4.0.0), autotools-dev, libevent-dev, libgtk-dev, gcc-3.4
Standards-Version: 3.6.1

Package: stegdetect
Architecture: any
Depends: ${shlibs:Depends}, wenglish | wordlist
Suggests: libjpeg-progs
Description: Detect and extract steganography messages inside JPEG 
 Stegdetect is an automated tool for detecting steganographic content 
 in images. 
 It is capable of detecting several different steganographic methods
 to embed hidden information in JPEG images. 
 Currently, the detectable schemes are:
 jsteg, jphide (unix and windows), invisible secrets, outguess 01.3b,
 F5 (header analysis), appendX and camouflage.
 Stegbreak is used to launch dictionary attacks
 against JSteg-Shell, JPHide and OutGuess 0.13b.

Package: xsteg
Architecture: any
Depends: ${shlibs:Depends}, stegdetect
Description: Graphical frontend to stegdetect
 Xsteg is a graphical frontend to stegdetect, an automated tool for
 detecting steganographic content in images (only JPEG). 
 Steganography is a method of hiding information within image files.
 .
 This package is not required to run stegdetect

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --datadir=\$${prefix}/share/stegdetect


#Architecture 

build: build-stamp
build-stamp:  config.status

	# Add here commands to compile the arch part of the package.
	$(MAKE) CC=gcc-3.4
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp #CONFIGURE-STAMP#

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install:
	dh_testdir -a
	dh_testdir 
	dh_testroot
	dh_clean -k
	dh_installdirs -Pdebian/tmp  -pstegdetect
	dh_installdirs -Pdebian/tmp  -pxsteg
	dh_installdirs -s

	# Add here commands to install the arch part of the package into 
	# debian/tmp.
	
	$(MAKE) install prefix=$(CURDIR)/debian/stegdetect/usr
	cp $(CURDIR)/debian/xsteg.1 $(CURDIR)/debian/xsteg/usr/share/man/man1/xsteg.1 
	mv $(CURDIR)/debian/stegdetect/usr/bin/xsteg $(CURDIR)/debian/xsteg/usr/bin/xsteg
	rm $(CURDIR)/debian/stegdetect/usr/share/man/man1/file.1
	rm -rf $(CURDIR)/debian/stegdetect/usr/man

	#dh_install
	dh_install -s

	#dh_movefiles

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate	
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
# Build architecture dependant packages using the common target.
binary-arch: install
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary: binary-arch 
.PHONY: build clean binary-arch binary install

## stegdetect 0.6-4

=== debian/changelog ===
stegdetect (0.6-4) unstable; urgency=low

  * Fixed some typo in manpage (Closes: #402515)
  * Fixed some minor problems and updated to last magic files (Closes: #402516)

 --  <samu@debian.org>  Mon, 11 Dec 2006 11:23:10 +0100

## stegdetect 0.6-4build1

=== debian/changelog ===
stegdetect (0.6-4build1) hardy; urgency=low

  * Rebuild for libglib1.2 -> libglib1.2ldbl transition.

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 05 Dec 2007 10:03:34 +1100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: stegdetect
 Architecture: any
-Depends: ${shlibs:Depends}, wenglish | wordlist
+Depends: ${shlibs:Depends}, wenglish | wordlist, libmagic1
 Suggests: libjpeg-progs
 Description: Detect and extract steganography messages inside JPEG 
  Stegdetect is an automated tool for detecting steganographic content

=== debian/rules ===
--- 
+++ 
@@ -78,6 +78,9 @@
 	cp $(CURDIR)/debian/xsteg.1 $(CURDIR)/debian/xsteg/usr/share/man/man1/xsteg.1 
 	mv $(CURDIR)/debian/stegdetect/usr/bin/xsteg $(CURDIR)/debian/xsteg/usr/bin/xsteg
 	rm $(CURDIR)/debian/stegdetect/usr/share/man/man1/file.1
+	rm $(CURDIR)/debian/stegdetect/usr/share/stegdetect/magic.inc
+	rm -rf $(CURDIR)/debian/stegdetect/usr/share/man/man4
+	rm -rf $(CURDIR)/debian/stegdetect/usr/share/man/man5
 	rm -rf $(CURDIR)/debian/stegdetect/usr/man
 
 	#dh_install
